> ## Name

> cgD3D9UnloadAllPrograms - unload all D3D programs

> ## Synopsis

>     #include <Cg/cgD3D9.h>

>     void cgD3D9UnloadAllPrograms( void );

> ## Parameters

> None.

> ## Return Values

> None.

> ## Description

> cgD3D9UnloadAllPrograms unloads all of the currently loaded D3D programs.

> See cgD3D9UnloadProgram for details on what the runtime does when unloading a program.

> ## Examples

>     // unload all D3D programs

>     cgD3D9UnloadAllPrograms();

> ## Errors

> None.

> ## History

> cgD3D9UnloadAllPrograms was introduced in Cg 1.5.

> ## See Also

> cgD3D9UnloadProgram